Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps.operation
Class DescribeTemplate

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wmps.operation.WMPSRequestBase
              org.deegree.ogcwebservices.wmps.operation.DescribeTemplate

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class DescribeTemplate

extends WMPSRequestBase

Can be requested as KVP:

...?request=DescribeTemplate&version=1.0.0&template=MyTemplate

or as XML:

     ...

Version:
  $Revision: 21672 $, $Date: 2009-12-29 09:44:20 +0100 (Di, 29. Dez 2009) $
Author:
  Andreas Poth, last edited by: $Author: apoth $
See Also:
  Serialized Form

Constructor Summary
`DescribeTemplate(String id, String version, String template, Map<String,String> vendorSpecificParameter)`

Method Summary
`static DescribeTemplate` | `create(Element request)`
`static DescribeTemplate` | `create(Map<String,String> parameter)`
`String` | `getTemplate()`

Methods inherited from class org.deegree.ogcwebservices.wmps.operation.WMPSRequestBase
`getServiceName`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeTemplate

    public DescribeTemplate(String id,
                            String version,
                            String template,
                            Map<String,String> vendorSpecificParameter)

Parameters:
  `id` -
  `version` -
  `template` -
  `vendorSpecificParameter` -

Method Detail

### create

    public static DescribeTemplate create(Map<String,String> parameter)
                                   throws InconsistentRequestException

  Parameters:
    `parameter` -
  Returns:
    new `DescribeTemplate`
  Throws:
    `InconsistentRequestException`

### create

    public static DescribeTemplate create(Element request)
                                   throws XMLParsingException

  Parameters:
    `request` -
  Returns:
    new `DescribeTemplate`
  Throws:
    `XMLParsingException`

### getTemplate

    public String getTemplate()

  Returns:
    template name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org